论坛停止维护公告

从2018-08-01日期,ZMAX官方维护论坛将迁移至 Joomla中国社区 - ZMAX专区 。ZMAX官方开发团队将会在该板块回复大家所有的提问。请所有的用户有任何的问题在Joomla中国社区发帖。

扩展将上线Joomla中国应用市场

ZMAX团队开发的应用将会逐步上线到Joomla应用市场,届时大家可以在应用市场中下载扩展

 
 
欢迎, 游客
用户名: 密码: 记住我
欢迎提问

主题: 在本地可以正常执行,在服务器上就出现错误

在本地可以正常执行,在服务器上就出现错误 5 年 8 个月 ago #448

  • ZMAX程序人
  • ZMAX程序人的头像
  • Offline
  • 管理员
  • 开辟Joomla在中国的新局面!
  • 帖子: 758
  • 感谢您收到 124
  • 声望: 8
出错代码如下:
require_once("/administrator/components/com_zmaxlogin/libs/alipaylib/alipay_submit.class.php");

错问题提示:
[Tue Jan 13 21:13:24 2015] [warn] [client 111.126.178.58] mod_fcgid: stderr: PHP Fatal error:  require_once(): Failed opening required '/administrator/components/com_zmaxlogin/libs/alipaylib/alipay_submit.class.php' (include_path='.:/usr/share/pear:/usr/share/php') in /var/www/clients/client1/web8/web/components/com_zmaxlogin/models/alipaylogin.php on line 161

解决方案是去掉administrator前的反斜杠
require_once("administrator/components/com_zmaxlogin/libs/alipaylib/alipay_submit.class.php");

这个是Linux和windows的区别
ZMAX程序人,中国专业的Joomla扩展开发团队。我们致力于为中国Joomla用户开发符合中国国情的Joomla扩展!
http://www.zmax99.com
本论坛禁止游客发帖。
创建页面时间:0.106秒
核心: Kunena 论坛